"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BannersBlock = void 0;
var _react = _interopRequireDefault(require("react"));
var _CoalitionCarousel = require("./../CoalitionCarousel");
var _CoalitionBanner = require("../CoalitionBanner");
var _CoalitionGtm = require("../CoalitionGtm");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const BannersBlock = _ref => {
  let {
    banners = [],
    gtmId = null
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, banners && banners.length > 0 ? /*#__PURE__*/_react.default.createElement(_CoalitionCarousel.CoalitionCarousel, null, banners.map((item, index) => /*#__PURE__*/_react.default.createElement(_CoalitionBanner.CoalitionBanner, {
    key: index,
    item: item,
    onClick: () => {
      if (gtmId) {
        let payload = (0, _CoalitionGtm.event_properties_101_6)();
        payload.promo_id = item.offer_name;
        (0, _CoalitionGtm.sendTag)(gtmId, payload);
      }
    }
  }))) : null);
};
exports.BannersBlock = BannersBlock;