"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EmptyBlock = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _utils = require("../../utils");
require("./EmptyBlock.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const EmptyBlock = _ref => {
  let {
    emptyState,
    title,
    description,
    children,
    isError = false,
    isBlock = false
  } = _ref;
  const titleClass = "title".concat(isError ? " error" : " page");
  const subtitleClass = "subtitle".concat(isError ? " error" : " page");
  const Description = () => {
    return /*#__PURE__*/_react.default.createElement("div", {
      className: "description"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: titleClass
    }, title), /*#__PURE__*/_react.default.createElement("div", {
      className: subtitleClass
    }, description), children);
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "empty-block-container"
  }, isBlock ? /*#__PURE__*/_react.default.createElement(Description, null) : null, /*#__PURE__*/_react.default.createElement("div", {
    className: "image"
  }, (0, _utils.getImg)(emptyState)), !isBlock ? /*#__PURE__*/_react.default.createElement(Description, null) : null);
};
exports.EmptyBlock = EmptyBlock;