"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionHeroBanner = void 0;
var _react = _interopRequireDefault(require("react"));
var _CoalitionComplements = require("../CoalitionComplements");
var _utils = require("./../../utils");
var _pngs = require("./../../pngs");
require("./CoalitionHeroBanner.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionHeroBanner = _ref => {
  let {
    balance = 0,
    ruleEquivalence = base => base * 0.1,
    showEquivalence = true,
    onClickEvent
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "landing"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "background"
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "points"
  }, "Tus puntos:"), /*#__PURE__*/_react.default.createElement("div", {
    className: "balance"
  }, (0, _utils.drawBalance)(balance)), showEquivalence ? /*#__PURE__*/_react.default.createElement("div", {
    className: "equivalence"
  }, "Valen $", /*#__PURE__*/_react.default.createElement(_utils.MakePriceWithCents, {
    bits: ruleEquivalence(balance)
  })) : null, /*#__PURE__*/_react.default.createElement(_CoalitionComplements.CoalitionButton, {
    label: "Movimientos",
    klass: "movements ".concat(showEquivalence ? "" : "added"),
    onClickEvent: onClickEvent,
    children: (0, _utils.getImg)(_pngs.chevron_right)
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "illustration"
  }, (0, _utils.getImg)(_pngs.cards))));
};
exports.CoalitionHeroBanner = CoalitionHeroBanner;