"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendTag = exports.event_properties_105_6 = exports.event_properties_105_5 = exports.event_properties_105_4 = exports.event_properties_105_3 = exports.event_properties_105_2 = exports.event_properties_105_1 = exports.event_properties_104_4 = exports.event_properties_104_3 = exports.event_properties_104_2 = exports.event_properties_104_1 = exports.event_properties_103_4 = exports.event_properties_103_3 = exports.event_properties_103_2 = exports.event_properties_103_1 = exports.event_properties_102_4 = exports.event_properties_102_3 = exports.event_properties_102_2 = exports.event_properties_102_1 = exports.event_properties_101_6 = exports.event_properties_101_5 = exports.event_properties_101_4 = exports.event_properties_101_3 = exports.event_properties_101_2 = exports.event_properties_101_1 = exports.event_properties_100_7 = exports.event_properties_100_6 = exports.event_properties_100_5 = exports.event_properties_100_4 = void 0;
require("core-js/modules/es.symbol.description.js");
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
const sendTag = (gtmId, dataLayer) => {
  if (!gtmId) return;
  const payload = {
    event: dataLayer.event_name,
    eventProps: {
      dataLayer
    }
  };
  console.log(payload);
  window.dataLayer = window.dataLayer || [];
  window.dataLayer.push(payload);
};
exports.sendTag = sendTag;
const buildSet = function buildSet(keys) {
  let obj = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  keys.map(item => obj[item] = null);
  return obj;
};
const userProperties = () => {
  const set = buildSet(["pwa_ally", "click_id", "user_id", "session_id", "hash_id", "device_type", "timestamp", "device_id", "source", "medium", "campaign", "region", "zona", "plaza", "state", "city", "country", "age", "preferences", "user_source", "sex", "birthday_date",
  // "operation_sistem",
  "operation_system", "platform", "carrier", "loyalty_id"]);
  const {
    userAgent,
    userAgentData,
    platform
  } = navigator;
  set.pwa_ally = "oxxo_premia";
  set.device_type = userAgentData.mobile ? "mobile" : "desktop";
  set.timestamp = Date.now();
  const str1 = window.localStorage.getItem("SpinPremiaStatePicked");
  set.state = str1 ? JSON.parse(str1).label : null;
  set.country = "Mexico";
  const str2 = localStorage.getItem("SpinPremiaHeaderProvided");
  set.user_source = str2 === "token" ? "mioxxo" : str2 === "spin-authorization" ? "spin by oxxo" : null;
  set.sex = "na";
  set.operation_system = "".concat(userAgentData.platform, " - ").concat(userAgent);
  set.platform = platform;
  set.loyalty_id = localStorage.getItem("SpinPremiaMemberId");
  return set;
};

// Onboarding
const event_properties_100_4 = () => {
  return _objectSpread({
    event_name: "premia_pwa_onboarding_select_state_view"
  }, userProperties());
};
exports.event_properties_100_4 = event_properties_100_4;
const event_properties_100_5 = () => {
  return _objectSpread({
    event_name: "premia_pwa_onboarding_select_state_click"
  }, userProperties());
};
exports.event_properties_100_5 = event_properties_100_5;
const event_properties_100_6 = () => {
  return _objectSpread({
    event_name: "premia_pwa_onboarding_terms_view"
  }, userProperties());
};
exports.event_properties_100_6 = event_properties_100_6;
const event_properties_100_7 = () => {
  return _objectSpread({
    event_name: "premia_pwa_onboarding_terms_click"
  }, userProperties());
};

// Dashboard
exports.event_properties_100_7 = event_properties_100_7;
const event_properties_101_1 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_view"
  }, userProperties());
};
exports.event_properties_101_1 = event_properties_101_1;
const event_properties_101_2 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_transactions_click"
  }, userProperties());
};
exports.event_properties_101_2 = event_properties_101_2;
const event_properties_101_3 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_home_banner_punch_card_click"
  }, userProperties()), buildSet(["punch_card_id", "punch_card_progress", "banner_index"]));
};
exports.event_properties_101_3 = event_properties_101_3;
const event_properties_101_4 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_home_banner_rewards_click"
  }, userProperties()), buildSet(["reward_id", "reward_progress", "banner_index"]));
};
exports.event_properties_101_4 = event_properties_101_4;
const event_properties_101_5 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_home_banner_extra_points_click"
  }, userProperties()), buildSet(["extra_points_id", "banner_index"]));
};
exports.event_properties_101_5 = event_properties_101_5;
const event_properties_101_6 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_home_banner_dashboard_click"
  }, userProperties()), buildSet(["promo_id"]));
};

// Punch Cards
exports.event_properties_101_6 = event_properties_101_6;
const event_properties_102_1 = () => {
  return _objectSpread({
    event_name: "premia_pwa_punch_card_home_view"
  }, userProperties());
};
exports.event_properties_102_1 = event_properties_102_1;
const event_properties_102_2 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_punch_card_product_click"
  }, userProperties()), buildSet(["punch_card_id", "punch_card_progress", "click_id"]));
};
exports.event_properties_102_2 = event_properties_102_2;
const event_properties_102_3 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_punch_card_progress_view"
  }, userProperties()), buildSet(["punch_card_id", "punch_card_progress"]));
};
exports.event_properties_102_3 = event_properties_102_3;
const event_properties_102_4 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_punch_card_terms_click"
  }, userProperties()), buildSet(["punch_card_id", "punch_card_progress"]));
};

// Extra Points
exports.event_properties_102_4 = event_properties_102_4;
const event_properties_103_1 = () => {
  return _objectSpread({
    event_name: "premia_pwa_extra_points_home_view"
  }, userProperties());
};
exports.event_properties_103_1 = event_properties_103_1;
const event_properties_103_2 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_extra_points_product_click"
  }, userProperties()), buildSet(["extra_points_id", "partner", "click_id"]));
};
exports.event_properties_103_2 = event_properties_103_2;
const event_properties_103_3 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_extra_points_product_view"
  }, userProperties()), buildSet(["extra_points_id", "partner"]));
};
exports.event_properties_103_3 = event_properties_103_3;
const event_properties_103_4 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_extra_points_terms_click"
  }, userProperties()), buildSet(["extra_points_id", "partner"]));
};

// Rewards
exports.event_properties_103_4 = event_properties_103_4;
const event_properties_104_1 = () => {
  return _objectSpread({
    event_name: "premia_pwa_rewards_home_view"
  }, userProperties());
};
exports.event_properties_104_1 = event_properties_104_1;
const event_properties_104_2 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_rewards_product_click"
  }, userProperties()), buildSet(["reward_id", "reward_progress", "click_id"]));
};
exports.event_properties_104_2 = event_properties_104_2;
const event_properties_104_3 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_rewards_progress_view"
  }, userProperties()), buildSet(["reward_id", "reward_progress"]));
};
exports.event_properties_104_3 = event_properties_104_3;
const event_properties_104_4 = () => {
  return _objectSpread(_objectSpread({
    event_name: "premia_pwa_rewards_terms_click"
  }, userProperties()), buildSet(["reward_id", "reward_progress"]));
};

// Others
exports.event_properties_104_4 = event_properties_104_4;
const event_properties_105_1 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_help_click"
  }, userProperties());
};
exports.event_properties_105_1 = event_properties_105_1;
const event_properties_105_2 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_terms_click"
  }, userProperties());
};
exports.event_properties_105_2 = event_properties_105_2;
const event_properties_105_3 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_privacy_policy_click"
  }, userProperties());
};
exports.event_properties_105_3 = event_properties_105_3;
const event_properties_105_4 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_privacy_policy_view"
  }, userProperties());
};
exports.event_properties_105_4 = event_properties_105_4;
const event_properties_105_5 = () => {
  return _objectSpread({
    event_name: "premia_pwa_home_terms_service_view"
  }, userProperties());
};
exports.event_properties_105_5 = event_properties_105_5;
const event_properties_105_6 = () => {
  return _objectSpread({
    // event_name: "premia_pwa_home_help_view", // I guess
    event_name: "premia_pwa_help_home_view"
  }, userProperties());
};
exports.event_properties_105_6 = event_properties_105_6;