"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionSection = void 0;
var _react = _interopRequireDefault(require("react"));
require("./CoalitionSection.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionSection = _ref => {
  let {
    title,
    subtitle,
    children
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "generic-section"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "subtitle"
  }, subtitle), /*#__PURE__*/_react.default.createElement("div", {
    className: "cards"
  }, children));
};
exports.CoalitionSection = CoalitionSection;